Name:    makemkv
Version: 1.10.2
Release: %mkrel 1
Source0: http://www.makemkv.com/download/makemkv-bin-%{version}.tar.xz
Source1: http://www.makemkv.com/download/makemkv-oss-%{version}.tar.xz
Group:   Video
Summary: DVD and Blu-ray to MKV converter and network streamer
License: LGPL-2.1+
URL:     http://www.makemkv.com/
BuildRoot: %_tmppath/%name-%version-build
#------------------------------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: pkgconfig
BuildRequires: zlib1-devel
#------------------------------------------------------------

%description
MakeMKV is your one-click solution to convert video that you own into
free and patents-unencumbered format that can be played everywhere.
MakeMKV is a format converter, otherwise called "transcoder". It converts
set of MKV files, preserving most information but not changing it in any
the video clips from proprietary (and usually encrypted) disc into a
way. The MKV format can store multiple video/audio tracks with all
meta-information and preserve chapters. There are many players that can
play MKV files nearly on all platforms, and there are tools to convert
MKV files to many formats, including DVD and Blu-ray discs.

Additionally MakeMKV can instantly stream decrypted video without
intermediate conversion to wide range of players, so you may watch
Blu-ray and DVD discs with your favorite player on your favorite OS
or on your favorite device.

%prep
rm -fr makemkv-bin-%{version}
tar xf %{SOURCE0}
rm -fr makemkv-oss-%{version}
tar xf %{SOURCE1}

%build
cd makemkv-oss-%{version}
./configure
make

%install
rm -rf %buildroot
cd makemkv-bin-%{version}
install -d %{buildroot}%{_bindir}

%ifarch i386 i486 i586 i686
  install -t %{buildroot}%{_bindir} bin/i386/makemkvcon
%endif

%ifarch x86_64
  install -t %{buildroot}%{_bindir} bin/amd64/makemkvcon
%endif

install -d %{buildroot}%{_datadir}/MakeMKV
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/default.mmcp.xml
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_deu.mo.gz
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_jpn.mo.gz
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_spa.mo.gz
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_ptb.mo.gz
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_dut.mo.gz
install -m 644 -t %{buildroot}%{_datadir}/MakeMKV src/share/makemkv_swe.mo.gz
cd ../makemkv-oss-%{version}
install -D -m 644 out/libdriveio.so.0 %{buildroot}%{_libdir}/libdriveio.so.0
install -D -m 644 out/libmakemkv.so.1 %{buildroot}%{_libdir}/libmakemkv.so.1
install -D -m 644 out/libmmbd.so.0 %{buildroot}%{_libdir}/libmmbd.so.0
install -D -m 755 out/makemkv %{buildroot}%{_bindir}/makemkv
install -D -m 644 makemkvgui/share/makemkv.desktop %{buildroot}%{_datadir}/applications/makemkv.desktop
install -D -m 644 makemkvgui/share/icons/16x16/makemkv.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/makemkv.png
install -D -m 644 makemkvgui/share/icons/22x22/makemkv.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/makemkv.png
install -D -m 644 makemkvgui/share/icons/32x32/makemkv.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/makemkv.png
install -D -m 644 makemkvgui/share/icons/64x64/makemkv.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/makemkv.png
install -D -m 644 makemkvgui/share/icons/128x128/makemkv.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/makemkv.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/MakeMKV

%changelog
* Sat Oct 29 2016 adrianomorselli <adrianomorselli> 1.10.2-1uplos2016
- rebuild

* Mon Sep 19 2016 ghostbunny <ghostbunny at gmx dot de> 1.10.2-1pclos2016
- 1.10.2
- covert to tar.xz

* Sat Apr 30 2016 bb <bb. 1.9.10-1pclos2016
- import

